﻿@model OsobaKontaktDTO

@{
    ViewData["Title"] = "Novi kontakt";
}

<h1>Unos novog kontakta</h1>
<p>
    <small>
        Korisniku se daje opcija da doda novi kontakt. Sva polja su obavezna. Korisniku se nakon potvrde dodavanja kontakta na glavnoj stranici kontakta ispisuje poruka o uspjehu ili neuspjehu promjene.
    </small>
</p>

<form asp-action="Create" method="post">
    <div asp-validation-summary="All"></div>
    <div class="form-group">
        <label asp-for="FkKontakt.KontaktPodatci"></label>
        <div><span asp-validation-summary="FkKontakt.KontaktPodatci"></span></div>
        <input asp-for="FkKontakt.KontaktPodatci" class="form-control" />
    </div>
    <div class="form-group">
        <label asp-for="FkKontakt.Id">Tip kontakta</label>
        <div><span asp-validation-summary="FkKontakt.Id"></span></div>
        <select class="form-control" asp-for="FkKontakt.Id" asp-items="ViewBag.VrsteKontakta">
            <option selected value="" disabled>Odaberite vrstu kontakta</option>
        </select>
    </div>
    <div class="form-group">
        <label>Osoba</label>
        <div><span asp-validation-summary="FkOsobaOib"></span></div>
        <select class="form-control" asp-for="FkOsobaOib" asp-items="ViewBag.Osobe">
            <option selected value="" disabled>Odaberite osobu</option>
        </select>
    </div>
    <div class="text-center">
        <button class="btn btn-primary" type="submit">Dodaj</button>
        <a asp-action="Index" class="btn btn-secondary">Odustani</a>
    </div>
</form>